import Input from '..';
import React from 'react';
import ReactDOM from 'react-dom';
ReactDOM.render(React.createElement("div", null,
    React.createElement(Input, { placeholder: "width:400", style: { width: 400 }, "aria-label": "style width 400" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { addonTextBefore: "http://", addonTextAfter: ".com", size: "medium", value: "alibaba", style: { width: 400 }, "aria-label": "style width 400" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { placeholder: "medium", maxLength: 10, showLimitHint: true, style: { width: 400 }, "aria-label": "style width 400" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { placeholder: "medium", hasClear: true, maxLength: 10, showLimitHint: true, style: { width: 400 }, className: "my-input-class", state: "success", "aria-label": "style width 400" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { placeholder: "className", className: "my-input-class", "aria-label": "custom my input class", style: { width: '500px' } }),
    React.createElement(Input, { htmlType: "hidden", "aria-label": "hidden input" })), document.getElementById('input-demo-12'));
